Jump to content

Search the Community

Showing results for tags 'layout'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • CADTutor
    • News, Announcements & FAQ
    • Feedback
  • AutoCAD
    • AutoCAD Beginners' Area
    • AutoCAD 2D Drafting, Object Properties & Interface
    • AutoCAD Drawing Management & Output
    • AutoCAD 3D Modelling & Rendering
    • AutoCAD Vertical Products
    • AutoCAD LT
    • CAD Management
    • AutoCAD Bugs, Error Messages & Quirks
    • AutoCAD General
    • AutoCAD Blogs
  • AutoCAD Customization
    • The CUI, Hatches, Linetypes, Scripts & Macros
    • AutoLISP, Visual LISP & DCL
    • .NET, ObjectARX & VBA
    • Application Beta Testing
    • Application Archive
  • Other Autodesk Products
    • Autodesk 3ds Max
    • Autodesk Revit
    • Autodesk Inventor
    • Autodesk Software General
  • Other CAD Products
    • BricsCAD
    • SketchUp
    • Rhino
    • SolidWorks
    • MicroStation
    • Design Software
    • Catch All
  • Resources
    • Tutorials & Tips'n'Tricks
    • AutoCAD Museum
    • Blocks, Images, Models & Materials
    • Useful Links
  • Community
    • Introduce Yourself
    • Showcase
    • Work In Progress
    • Jobs & Training
    • Chat
    • Competitions

Categories

  • Programs and Scripts
  • 2D AutoCAD Blocks
  • 3D AutoCAD Blocks
  • Images
    • Backgrounds

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Found 48 results

  1. Apparently I have overloaded AutoCAD's little mind. I needed a way to cover the background of a bubble note, which is a multileader with the standard circle for content. First I tried Wipeout, but it kept turning out dark in PDFs. Then I tried a solid hatch with override color 255. Obviously I want the note itself to display, so I set Draw Order for the hatch to Behind Boundary. In model space the note displays correctly, but in layouts the hatch moves to the front and takes on the color of the multileader's layer, whether the multileader is in model space or paper space. The notes plot correctly, so these misbehaving hatches are more of a nuisance than a problem. Is there a simple way to fix this? Some system variable that reverses draw order in paper space or controls the appearance of hatches?
  2. 1) Which of the crypically-named Templates in AutoCAD LT 2013 for MAC would provide me with an A1 Portrait sheet layout? 2)Is anyone else having issues whereby they can enter metric measures, but the display in Model Space is something else (either coordinate or imperial), and in Paper Space, View Port Windows is only in Imperial Scaling rather than simple 1:200 format? Is there anyway to get CAD to DISPLAY in metric?
  3. I have 2 things I'm trying to accomplish here. I need to find the the exact text to replace and only in the current layout. For example. Let's say I need to find "Date" but on the same layout I have "date", "Date" and "Date:". So it needs to be case sensitive also. I was using this but it's not case sensitive and also replaces "date" and "Date:" in all layouts. I just need "Date" in the current layout. ;Find And Replace (defun C:FAR () (setq OldTxt (getstring T "\nEnter the old text: ") NewTxt (getstring T "\nEnter the new text: ")) (setq ss (ssget "x" '((0 . "TEXT,MTEXT")))) (setq i (sslength ss)) (while (not (minusp (setq i (1- i)))) (setq oText (vlax-ename->vla-object (ssname ss i))) (setq Txt (vlax-get-property oText 'TextString)) (if (vl-string-search OldTxt txt) (progn (setq newChg (vl-string-subst NewTxt OldTxt txt)) (vlax-put-property oText 'TextString newchg) (vlax-invoke-method oText 'Update) ) ) ) (princ) )
  4. Hi, I am having a little trouble with gps coordinates. I am trying to snap to a specific gps coordinate on my layout. I have a "gps block" that spits out the proper coordinates but i am not sure how to move to a specif point. My layout is set up such that when i use my "gps block" on a known point it spits out the northing and easting, however, when i try to actually type in a specif northing and easting, it is no where near the point i am looking for on the layout. Any help on this would be appreciated.
  5. I'm trying to modify some code I found here: http://www.cadtutor.net/forum/showthread.php?62876-Can-you-change-multiple-sheet-plot-settings-at-the-same-time&highlight=plot+multiple+layouts to my purposes, which is to plot all the layouts in the current drawing to my named printer. Without the setvar line, I get the right number of copies, but they are all of the same layout (whichever one I execute the lisp from). Adding the setvar line errors out the lisp. (The actual plot command was commented out so I don't keep wasting paper while debugging this code.) (defun c:qplotall (); Konica Bsize mostly mono all layouts. (vlax-for x (vla-get-Layouts (vla-get-ActiveDocument (vlax-get-acad-object) ) ) (command "setvar" "ctab" x) ; (command "-plot" "y" "" "KONICA monochrome" "11x17" "Inches" "landscape" "no" "Extents" "Fit" "Center" "y" "MOSTLY MONO LIGHT" "y" "y" "No" "No" "No" "No" "y") ) ) Can anyone shed some light for me? Thanks, Glen
  6. Dear all, I need to create detail views in a 2d layout drawing. What I mean is that a 'zoomed' view inside a "circle". The view magnifies the specific part of a drawing, but the dimension value keep the same. What command should I use? Please help. Thanks
  7. I have many 3d metal sheet metal drawing. When I put the model into 3d model in to 2d layout, I see many 'lines' on flat surfaces. The 'lines' seem to be showing 'reflective effect'. However, it really cause problem when I give this to my boss. He asked why I cut the sheet metal into so many pieces. How I can set autocad NOT to show those unwanted lines?
  8. Lyceum

    model/paper space

    I'm not new to autocad but it has been a few years since using it and I have what I think is a simple question. When I was working with autocad there was a command I could use that could send something from the layout space to the model space. It is not the export to model space function. With this command I could select and object to send to model space. It was all done from the command line. Anyone know what I am referring to?
  9. I am aware some users like their lines very sharp and neat in the layout and make the line weight appear in the printing process. However, I am wondering if I can see the the lines weight applied while drawing in AutoCAD. Is just I believe it will give a better "print preview" as I am working. It will be very annoying to keep going back to print layout to "hummm... How does the line look?" PS: Yes, I know how to change the line weight.
  10. Fellow Cadders, I've encountered a pretty nasty problem over the past week. I can no longer add specific layouts to existing sheet sets. I can make a new sheet set, but I cannot see the drawings that I would like to add to the sheet set. The only "solution" I've found is to make a new sheet set, save each of the desired dwgs as newly renamed dwgs, and then, f if I pat myself on the head and spin around in 3 complete circles, I have a 78% chance of being able to add them to the new sheet set. Obviously, this is like cutting off your hand and holding it, while your friend shakes your deadhand, instead of just shaking his hand. I've read about this so-called dbl file, but much like Bigfoot, I have not seen one with my own eyes. We have never had this problem in our office- got a new server- had this problem (isolated to the new drive) - got it "fixed" - problem has spread to older drives. Is there an antidote? I'm beginning to lose faith. Any help would be great. Thanks Civil 3D 2010, Windows 7
  11. Hi all, Im having some problems with a file im working on. I have a file with an x-ref, when im in the model space i can see all layers i want to see, but in the viewports i created in the file i noticed that 2 layers(layers that i really need to see) dont show up. Ive checked the freeze/thaw, on/off, plot/no plot settings, layerstate, i tryed creating a new layer in the x-ref file(the parent file) and putting these things that dont show in the new layer but nothing changes. ive spent alot of time trying to figure this out but im out of ideas, ill attach two images to help you see the layer settings. Hope the images are good enough So, whats missing in the viewports is the cyan tex where it says "Klassisk sal"and some other text surrounding it and the cyan box with the text "Mko 12.002". The highlighted layers in the layer properties window are the associated with these items here is the layout, the layout is active and again the two highlighted layers are the ones associated with the objects missing can someone please help me before i go compleatly mental and put my fist through my computer screens. thx Hallur Pétursson Reykjavík, Iceland
  12. Hello, this is my first post so go easy on me! When working with other drawings I've got into the habit of dropping in my layout using the design centre rather than copying the whole drawing into my template setup. Most of the time this works fine but every now and then my layout will be massively oversized with borders, tables and veiwports all over the place. My viewport is about 20 times the size of the paper! The paper size is fine and insertion units are set to 0 and I still can't find a solution. The attached image shows roughly the problem I'm getting. I'm using 2010 LT by the way.
  13. I am trying to find a way so that when I open AutoCAD, the layers that I need to use as a standard appear every time so that I do not have to make these same layers every time I open a new drawing. Is there a way to do this?
  14. Hi friends, how is it possible to explode all blocks in all spaces (layouts) without setting each tab current (I mean issuing (setvar 'Ctab ...)) Thanks in advance
  15. Is it at all possible to swtich between layout tabs by a command? I'm messing around with a .bat file that creates a script for printing that only prints layout1. The CAD file I'm trying to print has multiple tabs and all tabs have a different name, Lot 02, Lot 03, Lot 04 (not the standard layout1, layout2, etc).
  16. When i bring a model in layout using chspace and ls it for its co-ordinates, it gives me upper bound and lower bound coordinates.What exactly is upper bound and lower bound coordinates?
  17. I thought by using mirror command in paper space I can get the mirror of my drawing, but it returns the same drawing. So if I want to have mirror of my drawing, first I have to mirror it in model space and then get the entire drawing in PS. Other commands, like copy, rotate, scale, affects whole model in PS but apparently rotate doesn't. Is there any key to change this behavior?
  18. This is my first post in this forum, please be gentle. I have previously found lots of answers by searching existing threads, but I've come up empty on this issue. I design travel trailers and draw the roadside (RS) and doorside (DS) walls on different overlapping layers. Since they are exactly the same size and shape around the perimeter, overlapping them maintains continuity when I add the floor, roof and front and rear wall profiles. When I plot the drawings for production I need to mirror the DS print. Currently, I am mirroring the drawing in model space. Is there a way to mirror the layout viewport so I don't have to mirror the drawing in model space? AutoCad 2011
  19. I had created an entirely new layer just for text and when go to layout 1 and MV (Make view), everything is visible except for all the text. I tried drawing on that particular layer, the lines appear but the text are still missing When i tried plotting in workspace, it is visible. Anyway to solve this problem? Thanks in advance:D PS: Using Acad 2010 now
  20. magic_man1

    Layout Tab Selection

    It seems that I am .lsp illiterate, but hey, I'm trying to learn. Hopefully you can help me. I am looking for a piece of .lsp code that will allow me to go between layout tabs one at a time. The catch is that I need this to function like the keyboard stroke: Ctrl+Page Up or Ctrl+Page Down, where it simply jumps up/down one layout at a time, without needing to know the layout name. Extra credit: To have this function start with the first layout tab and progresses through to the last layout tab (say, 20 layout tabs) Does anyone know if this is possible? I will be performing other tasks for each "current" layout as they are active, so I imagine that I would simply repeat a piece of code after I inject my code for each layout. Again... trying to teach myself how to do this. Thanks in advance for your help.
  21. Hello to everybody, I'm writing my first message as I started developing my first App. The thing is I have a dwg with the same number of paper space layouts and views, and the same viewport for all the paper space's layouts. So the problem is: I'm stuck trying to link the viewport of each layout to the correspondig view. I attach in .txt the code for VB.NET and appreciate if anybody can help me in this very first real project. Thanks for helping.CODES.txt
  22. Hello everybody, I'm working on a drawing that has around the 150 layout-tabs. So switching between a specific Layout-tab and the Model-tab and back is very iritating. You need to scroll everytime through all the Layout-tabs to find the right one. So is there a simple and fast way to switch again and again? I'm using autocad 2009 LT Already thanks for a answer.
  23. When I came on to my current company a few months ago, CAD management was completely absent and when I informed my manager I thought we should have some type of CAD policy users can look to for guidance, he promptly made me the de facto CAD Manager As such, I'm trying to research the best way to manage the various projects we currently have in development. Specifically we have two specific contracts with completely different drawing requirements (i.e. different Layers, Title Blocks, etc.) and one of those contracts has different requirements depending on the type of drawing (electrical, piping, structure, etc). I have setup read-only drawing templates for each specific discipline of each project and currently the designer will just open the relevant drawing and save it with a new name. There are several drawbacks to this, the first being that for one project, the zone numbers on each sheet of the format are continuous (i.e. Sheet 01 has zones 1 thru 8, Sheet 2 has zones 9 thru 16, etc.). I've manually created 10 sheets thinking none of the drawings currently being worked would have more than that. Our electrical lead just informed me he has a wiring table drawing that he anticipates will have upwards of 50 sheets. I know there is a better way to create the necessary sheets and I do have some experience with lsp files but not enough to figure out what I should do. I have created a lsp routine and associated dcl that displays the various projects we are working on. The user selects the project and clicks the 'OK' button which in turn loads the lsp file linked to the selection. That lsp file starts a new drawing and loads the correct layers. I'd like to add a sheet function that either asks the user how many sheets they want to create or load just the first two sheets. If it only loads the first two sheets, I'd like to create an add/subtract sheet routine that when ran will detect how many sheets are currently in the drawing, then add or subtract sheets based on what is needed. I'd appreciate some opinions on how I could go about doing all or some of this. Thanks in advance. Lonnie
×
×
  • Create New...